# Administration Reference

## bos stop

Purpose

Stops a process after changing its status flag in the /usr/afs/local/BosConfig file

Synopsis

    bos stop -server <machine name>  -instance <server process name>+
             [-wait]  [-cell <cell name>]  [-noauth]  [-localauth]  [-help]

    bos sto -s <machine name>  -i <server process name>+
            [-w]  [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos stop command sets the status flag for each process specified with the -instance argument to `NotRun` in the /usr/afs/local/BosConfig file on the server machine named by the -server argument, then stops it.

To stop a process without changing its BosConfig status flag, use the bos shutdown command instead.

Options

-server
  Indicates the server machine on which to stop processes. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

-instance
  Names each process to stop. Use the process name assigned with the -instance argument to the bos create command. The output from the bos status command lists the names.

-wait
  Delays the return of the command shell prompt until all processes actually stop. If this argument is omitted, the prompt returns almost immediately even if all processes are not stopped.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example command stops the upserver and runntp on the machine fs7.abc.com.

       % bos stop -server fs7.abc.com -instance upserver runntp

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

BosConfig

KeyFile

UserList

bos

bos create

bos shutdown

bos status

© IBM Corporation 2000. All Rights Reserved